summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnton Khirnov <anton@khirnov.net>2020-10-30 18:18:33 +0100
committerAnton Khirnov <anton@khirnov.net>2020-10-30 18:18:33 +0100
commitc7bcddf4ea4fc2c6a213bafc916c9f0d0e5e5f99 (patch)
tree4d5def214fe0dcc088d569958570d3ccd13bb9df
Initial commit.
-rw-r--r--.gitmodules3
m---------dotbot0
-rwxr-xr-xinstall35
-rw-r--r--install.conf.yaml3
4 files changed, 41 insertions, 0 deletions
diff --git a/.gitmodules b/.gitmodules
new file mode 100644
index 0000000..1ce5c11
--- /dev/null
+++ b/.gitmodules
@@ -0,0 +1,3 @@
+[submodule "dotbot"]
+ path = dotbot
+ url = https://github.com/anishathalye/dotbot
diff --git a/dotbot b/dotbot
new file mode 160000
+Subproject 5294594f5aa9c3affd0d656ba6843c1c0b0bce6
diff --git a/install b/install
new file mode 100755
index 0000000..7cfc96d
--- /dev/null
+++ b/install
@@ -0,0 +1,35 @@
+#!/usr/bin/env bash
+
+# This is free and unencumbered software released into the public domain.
+#
+# Anyone is free to copy, modify, publish, use, compile, sell, or distribute this
+# software, either in source code form or as a compiled binary, for any purpose,
+# commercial or non-commercial, and by any means.
+#
+# In jurisdictions that recognize copyright laws, the author or authors of this
+# software dedicate any and all copyright interest in the software to the public
+# domain. We make this dedication for the benefit of the public at large and to
+# the detriment of our heirs and successors. We intend this dedication to be an
+# overt act of relinquishment in perpetuity of all present and future rights to
+# this software under copyright law.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
+# ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+set -e
+
+CONFIG="install.conf.yaml"
+DOTBOT_DIR="dotbot"
+
+DOTBOT_BIN="bin/dotbot"
+BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+
+cd "${BASEDIR}"
+git -C "${DOTBOT_DIR}" submodule sync --quiet --recursive
+git submodule update --init --recursive "${DOTBOT_DIR}"
+
+"${BASEDIR}/${DOTBOT_DIR}/${DOTBOT_BIN}" -d "${BASEDIR}" -c "${CONFIG}" "${@}"
diff --git a/install.conf.yaml b/install.conf.yaml
new file mode 100644
index 0000000..5ec980f
--- /dev/null
+++ b/install.conf.yaml
@@ -0,0 +1,3 @@
+- clean: []
+- link: {}
+- shell: []